Android – How to Update or Re-Install the Newest Version of ADB

adbandroid

I have an android based phone and I need ADB for installing new versions. However, until today ADB was working perfectly but today I got an error, it says "you need 1.0.32 or newer version." Yes, error is clear enough. Problem is, how ?

For the records, I've tried to remove ADB.
With :

sudo apt-get remove android-tools-adb android-tools-fastboot

Then I re-installed it with :

sudo apt-get install android-tools-adb android-tools-fastboot

Before this commands my ADB version was 1.0.31, still it is 1.0.31. But here ( http://developer.android.com/sdk/index.html#Other) As far as I see, there is new version, 1.0.35. But with terminal All I'm getting is 1.0.31.
I've downloaded 1.0.35 zip but I don't know what to do with it.

How Can I uprade my ADB?

Best Answer

If you think, you have latest SDK but the adb tool is older one,

Use,

# adb version
Android Debug Bridge version 1.0.31
# wget -O - https://skia.googlesource.com/skia/+archive/cd048d18e0b81338c1a04b9749a00444597df394/platform_tools/android/bin/linux.tar.gz | tar -zxvf - adb
# sudo mv adb /usr/bin/adb
# sudo chmod +x /usr/bin/adb
# adb version
Android Debug Bridge version 1.0.32

Refernce http://bernaerts.dyndns.org/linux/74-ubuntu/328-ubuntu-trusty-android-adb-fastboot-qtadb

Related Question